
include $(CMTROOT)/src/Makefile.header

#====================================
#  Library Cbf
#
#   Generated Sat Jun  1 08:13:10 2002  by bellac
#
#====================================

help ::
	@echo 'Cbf'

Cbflib       = $(bin)libCbf.a
Cbfstamp     = $(bin)Cbf.stamp
Cbfshstamp   = $(bin)Cbf.shstamp

Cbf :: dirs  CbfLIB
	@/bin/echo "------> Cbf ok"


CbfLIB :: $(Cbflib)
	@/bin/echo Cbf : library ok

$(Cbflib) :: $(bin)CbfClean.o $(bin)CbfHash.o
	$(lib_echo) library
	$(lib_silent) cd $(bin); $(ar) $(Cbflib) $?; \
	  $(ranlib) $(Cbflib); \
	  cat /dev/null >$(Cbfstamp)

Cbfclean ::
	$(cleanup_echo) $(bin)CbfClean.o $(bin)CbfHash.o
	$(cleanup_silent) cd $(bin); /bin/rm -f $(bin)CbfClean.o $(bin)CbfHash.o


$(bin)Cbf_dependencies.make : $(src)CbfClean.c $(src)CbfHash.c cmt_path.make requirements $(use_requirements)
	@echo "Rebuilding $@"; \
           args=`echo $? | sed -e "s#cmt_path.make.*##"`; \
           $(build_dependencies) Cbf $${args}; \
	   mgrdir=`$(cmtexe) show macro_value mgr`; \
	   if test ! "$(bin)" = "./" -a -f $${mgrdir}Cbf_dependencies.make ; \
	     then /bin/mv -f $${mgrdir}Cbf_dependencies.make $(bin); fi

-include $(bin)Cbf_dependencies.make


$(bin)CbfClean.o : $(CbfClean_c_dependencies)
	$(c_echo) $@
	$(c_silent) cd $(bin); $(ccomp) -o CbfClean.o $(use_pp_cflags) $(Cbf_pp_cflags) $(lib_Cbf_pp_cflags) $(CbfClean_pp_cflags) $(use_cflags) $(Cbf_cflags) $(lib_Cbf_cflags) $(CbfClean_cflags) $(CbfClean_c_cflags)  $(src)CbfClean.c


$(bin)CbfHash.o : $(CbfHash_c_dependencies)
	$(c_echo) $@
	$(c_silent) cd $(bin); $(ccomp) -o CbfHash.o $(use_pp_cflags) $(Cbf_pp_cflags) $(lib_Cbf_pp_cflags) $(CbfHash_pp_cflags) $(use_cflags) $(Cbf_cflags) $(lib_Cbf_cflags) $(CbfHash_cflags) $(CbfHash_c_cflags)  $(src)CbfHash.c

clean :: Cbfclean
	@cd .

Cbfclean ::
	$(cleanup_echo) library
	-$(cleanup_silent) cd $(bin); /bin/rm -f libCbf.a libCbf.s? Cbf.stamp Cbf.shstamp
